## ros-crystal-qt-gui 1.0.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(qt_gui)

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_python REQUIRED)

ament_python_install_package(${PROJECT_NAME}
  PACKAGE_DIR src/${PROJECT_NAME})

install(DIRECTORY resource
  DESTINATION share/${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  # Disabling copyright test. The copyright used in this package does not conform to
  # ament's copyright tests
  set(ament_cmake_copyright_FOUND TRUE)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-crystal-qt-gui (1.0.6-1bionic) bionic; urgency=high

  * add missing QtCore import (#178 <https://github.com/ros-visualization/qt_gui_core/issues/178>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 10 Jun 2019 07:00:00 -0000

ros-crystal-qt-gui (1.0.4-1bionic) bionic; urgency=high

  * fix dictionary changes size during iteration (#166 <https://github.com/ros-visualization/qt_gui_core/issues/166>)
  * fix typo (#164 <https://github.com/ros-visualization/qt_gui_core/issues/164>)
  * remove obsolete maintainer (#159 <https://github.com/ros-visualization/qt_gui_core/issues/159>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 Feb 2019 08:00:00 -0000

ros-crystal-qt-gui (1.0.3-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Tue, 11 Dec 2018 08:00:00 -0000

ros-crystal-qt-gui (1.0.2-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Tue, 11 Dec 2018 08:00:00 -0000

ros-crystal-qt-gui (1.0.1-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Tue, 11 Dec 2018 08:00:00 -0000

ros-crystal-qt-gui (1.0.0-1bionic) bionic; urgency=high

  * fix warning message (#143 <https://github.com/ros-visualization/qt_gui_core/issues/143>)
  * fix debug entry point of doc widget title bar (#141 <https://github.com/ros-visualization/qt_gui_core/issues/141>)
  * use ament_lint_auto (#136 <https://github.com/ros-visualization/qt_gui_core/issues/136>)
  * update tests (#133 <https://github.com/ros-visualization/qt_gui_core/issues/133>)
  * port to ROS 2 (#135 <https://github.com/ros-visualization/qt_gui_core/issues/135>)
    Porting to ROS2
  * autopep8 (#123 <https://github.com/ros-visualization/qt_gui_core/issues/123>)

 -- D. Hood <dhood@osrfoundation.org>  Mon, 10 Dec 2018 08:00:00 -0000

ros-crystal-qt-gui (0.3.11-1bionic) bionic; urgency=high

  * fix path being set for exporting perspective (#121 <https://github.com/ros-visualization/qt_gui_core/issues/121>, regression from 0.3.9)

 -- D. Hood <dhood@osrfoundation.org>  Wed, 29 Aug 2018 07:00:00 -0000

ros-crystal-qt-gui (0.3.10-1bionic) bionic; urgency=high

  * keep multi_process variable in standalone mode (#120 <https://github.com/ros-visualization/qt_gui_core/issues/120>)

 -- D. Hood <dhood@osrfoundation.org>  Sun, 05 Aug 2018 07:00:00 -0000

ros-crystal-qt-gui (0.3.9-1bionic) bionic; urgency=high

  * load and save perspective file path and name adjustments (#118 <https://github.com/ros-visualization/qt_gui_core/issues/118>)
  * add hint to run with --force-discover, when no plugin found (#119 <https://github.com/ros-visualization/qt_gui_core/issues/119>)
  * remove --multi-process command line argument (#116 <https://github.com/ros-visualization/qt_gui_core/issues/116>)
  * avoid crash when a plugin in .perspective is not available (#110 <https://github.com/ros-visualization/qt_gui_core/issues/110>)

 -- D. Hood <dhood@osrfoundation.org>  Fri, 03 Aug 2018 07:00:00 -0000

ros-crystal-qt-gui (0.3.8-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Fri, 03 Nov 2017 07:00:00 -0000

ros-crystal-qt-gui (0.3.7-1bionic) bionic; urgency=high

  * Hide the menu bar when using lock perspective (#103 <https://github.com/ros-visualization/qt_gui_core/issues/103>)
  * Fix for Python 3 compatibility (#104 <https://github.com/ros-visualization/qt_gui_core/issues/104>)

 -- D. Hood <dhood@osrfoundation.org>  Wed, 25 Oct 2017 07:00:00 -0000

ros-crystal-qt-gui (0.3.6-1bionic) bionic; urgency=high



 -- D. Hood <dhood@osrfoundation.org>  Thu, 03 Aug 2017 07:00:00 -0000

ros-crystal-qt-gui (0.3.5-1bionic) bionic; urgency=high

  * remove trailing spaces from exported perspective files (#92 <https://github.com/ros-visualization/qt_gui_core/issues/92>)
  * fix perspective export with Python3 (#91 <https://github.com/ros-visualization/qt_gui_core/pull/91>)
  * hide the remaining title bar elements not disabled by -l and -f (#90 <https://github.com/ros-visualization/qt_gui_core/issues/90>)
  * use file name for rqt window title when loading a .perspective (#84 <https://github.com/ros-visualization/qt_gui_core/pull/84>)

 -- D. Hood <dhood@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-crystal-qt-gui (0.3.4-1bionic) bionic; urgency=high

  * use Python 3 compatible syntax (#81 <https://github.com/ros-visualization/qt_gui_core/pull/81>)
  * fix leftover dock widgets when using --command-switch-perspective (#80 <https://github.com/ros-visualization/qt_gui_core/pull/80>)
  * make finding new parent logic more robust (#76 <https://github.com/ros-visualization/qt_gui_core/pull/76>)

 -- D. Hood <dhood@osrfoundation.org>  Tue, 24 Jan 2017 08:00:00 -0000

ros-crystal-qt-gui (0.3.3-1bionic) bionic; urgency=high

  * remove attribute AA_X11InitThreads which is obsolete in Qt 5

 -- D. Hood <dhood@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-crystal-qt-gui (0.3.2-1bionic) bionic; urgency=high

  * only restore state on toolbars which have an object name (#65 <https://github.com/ros-visualization/qt_gui_core/pull/65>)

 -- D. Hood <dhood@osrfoundation.org>  Thu, 21 Apr 2016 07:00:00 -0000

ros-crystal-qt-gui (0.3.1-1bionic) bionic; urgency=high

  * workaround bug (QTBUG-52582) in QMenu with Qt 5 (ros-visualization/python_qt_binding#33 <https://github.com/ros-visualization/python_qt_binding/issues/33>)

 -- D. Hood <dhood@osrfoundation.org>  Mon, 18 Apr 2016 07:00:00 -0000

ros-crystal-qt-gui (0.3.0-1bionic) bionic; urgency=high

  * switch to Qt5 (#64 <https://github.com/ros-visualization/qt_gui_core/pull/64>)

 -- D. Hood <dhood@osrfoundation.org>  Fri, 01 Apr 2016 07:00:00 -0000

ros-crystal-qt-gui (0.2.30-1bionic) bionic; urgency=high

  * add X11 threading for ssh display (#62 <https://github.com/ros-visualization/qt_gui_core/pull/62>)
  * allow renaming dock widgets (#63 <https://github.com/ros-visualization/qt_gui_core/pull/63>)

 -- D. Hood <dhood@osrfoundation.org>  Wed, 30 Mar 2016 07:00:00 -0000



=== debian/control ===
Source: ros-crystal-qt-gui
Section: misc
Priority: extra
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), pyqt5-dev, python3-pyqt5, python3-pyqt5.qtsvg, python3-sip-dev, qt5-qmake, ros-crystal-ament-cmake, ros-crystal-ament-lint-auto, ros-crystal-ament-lint-common, ros-crystal-ros-workspace
Homepage: http://ros.org/wiki/qt_gui
Standards-Version: 3.9.2

Package: ros-crystal-qt-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-catkin-pkg-modules, ros-crystal-ament-index-python, ros-crystal-python-qt-binding, tango-icon-theme, ros-crystal-ros-workspace
Description: qt_gui provides the infrastructure for an integrated graphical user interface based on Qt.
 It is extensible with Python- and C++-based plugins (implemented in separate packages) which can contribute arbitrary widgets. It requires either PyQt or PySide bindings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/crystal/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/crystal" \
		-DAMENT_PREFIX_PATH="/opt/ros/crystal"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-crystal-qt-gui//opt/ros/crystal/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_install
